//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#include "objectex.h"

int SObjectEx::Handle()
{
	for(list<SObject*>::iterator it = children.begin(); it != children.end(); it++)
	{
		if((*it)->type >= objectex_type)
		{
			if(((SObjectEx*)(*it))->dead)
			{
				DestroyObject((*it));
				it = children.erase(it);
			}
		}
	}
	return 0;
}
